The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

форумы  помощь  поиск  регистрация  вход/выход  слежка  RSS
"переезд NW4.11 под ESXi 5.1"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Оптимизация и Промышленные системы (Виртуализация)
Изначальное сообщение [ Отслеживать ]

"переезд NW4.11 под ESXi 5.1"  +/
Сообщение от ASphinx email(??) on 12-Сен-16, 15:55 
Добрый день сообществу!

Стоит у нас неплохая, в общем-то железка с раритетной нетварью 4.11 для нужд выдачи архивных справок бывшим работникам. Винт у нетвари небольшой - 40 гиг, но вникать в особенности работы бухгалтерии многолетней давности нет желания. Для малонагруженных сервисов недалеко стоит ESXi 5.1. Возникла здравая мысль перетащить нетварь под общую крышу в виртуалку. Когда-то у нетвари был сказёвый контроллер, но за давностью лет и крахом винтов, давно переехал на обычный IDE. Сейчас же ESXi, наоборот, не умеет эмулировать IDE-винты - только SCSI двух-четырёх типов.
В гугле вычитал, что есть успешный опыт переноса старых систем в виртуалку, но у меня пока не получается. :( Есть ли у кого практический опыт в этом вопросе? Прошу советов.

При запуске load install после переноса и попытки подгрузки драйверов, инсталлер находит новое устройство, на которое требует драйвер. Однажды это устройство было обозначено как PCI.8086.7111.15AD.1976.01, потом вдруг стало PCI.1000.0030.15AD.1976.01.
Попытка загрузить скачанный с сайта support.novell.com драйвера LSIMPTNW, выдаёт ошибку:
Server-4.11-1586: Loader cannot find public symbol: NPA_Get_Loaded_Module_Info
Server-4.11-1586: Load file referenced undefined public variable.
Module LSIMPTHW.HAM NOT loaded.

Ну, и, соответственно, дальше весь процесс стопорится - пока нет диска, работать система не могеть. :(

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "переезд NW4.11 под ESXi 5.1"  +/
Сообщение от Сергей (??) on 12-Сен-16, 17:30 
> Добрый день сообществу!
> При запуске load install после переноса и попытки подгрузки драйверов, инсталлер находит
> новое устройство, на которое требует драйвер. Однажды это устройство было обозначено
> как PCI.8086.7111.15AD.1976.01, потом вдруг стало PCI.1000.0030.15AD.1976.01.
> Попытка загрузить скачанный с сайта support.novell.com драйвера LSIMPTNW, выдаёт ошибку:
>  Server-4.11-1586: Loader cannot find public symbol: NPA_Get_Loaded_Module_Info
>  Server-4.11-1586: Load file referenced undefined public variable.
>  Module LSIMPTHW.HAM NOT loaded.
> Ну, и, соответственно, дальше весь процесс стопорится - пока нет диска, работать
> система не могеть. :(

Ну начните с того, что
1. вы правильный драйвер нашли с новелла, именно для 4.11, а не для 5-ки и старше
Load file referenced undefined public variable, говорит именно об этом...


Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "переезд NW4.11 под ESXi 5.1"  +/
Сообщение от ASphinx (??) on 12-Сен-16, 23:03 
>[оверквотинг удален]
>> Попытка загрузить скачанный с сайта support.novell.com драйвера LSIMPTNW, выдаёт ошибку:
>>  Server-4.11-1586: Loader cannot find public symbol: NPA_Get_Loaded_Module_Info
>>  Server-4.11-1586: Load file referenced undefined public variable.
>>  Module LSIMPTHW.HAM NOT loaded.
>> Ну, и, соответственно, дальше весь процесс стопорится - пока нет диска, работать
>> система не могеть. :(
>  Ну начните с того, что
>  1. вы правильный драйвер нашли с новелла, именно для 4.11, а
> не для 5-ки и старше
>  Load file referenced undefined public variable, говорит именно об этом...

Я подозревал, но... Для LSI на сайте novell-а есть (я нашёл) только такое:
MEGA_SAS.HAM    09-08-06        1.00.11
LSIMPTNW.HAM    09-20-06        4.01g
                                08-18-04        3.06
LSI_U3NW.HAM    03-14-03        5.03l
LSI8XXNW.HAM    03-20-03        5.03l
LSIHINW.HAM     03-20-03        5.03l
MEGA4_XX.HAM    09-11-03        7.001
                                04-04-03        7.00i
MEGARIDE.HAM    08-22-03        6.15
                                05-23-03        6.12
MDACFSI.HAM     11-15-02        7.00p
LSIMPE.CDM      06-20-05        1.01

Оба варианта драйвера я пробовал - безрезультатно. :( На форумах один немецкий товарищ выложил тоже вариант драйвера для 4.11 - результат тот же. Причём, *ham совпадает по размеру/дате, а *ddi на десяток байт отличается.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "переезд NW4.11 под ESXi 5.1"  +/
Сообщение от Сергей (??) on 13-Сен-16, 00:31 
>>  Ну начните с того, что
>>  1. вы правильный драйвер нашли с новелла, именно для 4.11, а
>> не для 5-ки и старше
>>  Load file referenced undefined public variable, говорит именно об этом...

Можно еще попытаться найти последний патч для 4.11, если и он не сработает, тогда ничего не могу посоветовать...

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. " переезд NW4.11 под ESXi 5.1"  +/
Сообщение от ASphinx email(??) on 13-Сен-16, 11:29 
>>>  Ну начните с того, что
>>>  1. вы правильный драйвер нашли с новелла, именно для 4.11, а
>>> не для 5-ки и старше
>>>  Load file referenced undefined public variable, говорит именно об этом...
>  Можно еще попытаться найти последний патч для 4.11, если и он
> не сработает, тогда ничего не могу посоветовать...

Ага, нужно было ещё повнимательнее почитать про NWPA - https://developer.novell.com/devres/storage/drivers/NWPAUpda.... Я раз три его вскользь прочитал накануне в поисках решения, но не осмыслил, а сегодня утром перечитал уже более внимательно - диски завелись. Осталась сеть. Спасибо за поддержку!

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2017 by Maxim Chirkov  
ДобавитьРекламаВебмастеруГИД  
Hosting by Ihor